{
    template:'${tmpl}',
    data:function(){
        return {
            radio1: '深度分析',
            year:"全部年份",
            entName:"",
        }
    },
    mounted:function(){
        $('#wave-container').hover(function(){
            $("#wave-container").addClass("animate-wave-container-hover");
        },function(){
            $("#wave-container").removeClass("animate-wave-container-hover");
        });
    },
    methods:{
        search1(val){
            if (typeof val == 'string') {
              console.log(val, this.radio1);
              this.entName = val;
              this.chaxun();
            };
            /*this.total=0;
            this.currentpage=1;
            清楚勾选的痕迹
            this.checkAllAnalysis=false;
            this.checkListAnalysis=[];
            this.multipleSelection=[];
            this.search();*/
        },
        chaxun () {
            var obj={entName:"",year:""};
            if(this.year && this.year!="全部年份" ){
                obj.year=this.year;
            }
            if(this.entName ){
                obj.entName=this.entName;
            }else{
                this.$message.warning("请填写企业名称");
                return;
            }
            if (this.radio1 === '深度分析') {
                this.$root.pushx({
                    name:"/businessdecisionsresult",
                    params:obj
                });
            }else {
                this.$root.pushx({
                    name:"/competitiveanalysis",
                    params:obj
                });
            }
            
            
        },
        aliBusinessDecision(){
            var obj={entName:"",year:""};
            if(this.year && this.year!="全部年份" ){
                obj.year=this.year;
            }
            if(this.entName ){
                obj.entName=this.entName;
            }else{
                this.$message.warning("请填写企业名称");
                return;
            }
            var that=this;
            this.$root.showMask();
            this.$root.getReq("/web/regionalpatentmonitoringCtl/aliBusinessDecision",obj).then(d=>{
                if(d && d.code==1){
                    this.data = d.data;
                    console.log(d.data);
                    var datastring = JSON.stringify(d);
                    window.localStorage.setItem("aliBusinessDecision",datastring);
                    this.$root.pushx({
                        name:"/businessdecisionsresult",
                        params:{
                            year:that.year,
                            entName:that.entName
                        }
                    });
                }else{
                    this.$message.warning("查询失败，请刷新页面后重新操作"); 
                }
                this.$root.hideMask();
            }).catch(e=>{
                console.log(e);
                this.$message.warning("查询失败，请刷新页面后重新操作"); 
                this.$root.hideMask();
            })
        },
    },
    vname:"gsb-businessdecisions"
}